html, body {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
	position: relative;
	z-index: 0;
}

body {
	height: 100vh;
}

a, a:hover, a:active {
	text-decoration: none;
	cursor: pointer;
}

hr {
	border-color: rgba(0,0,0,.065);
}

ol {
  display: block;
  list-style-type: decimal;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 0;
  margin-right: 0;
  padding-left: 40px;
  list-style: decimal;
}

ol li {
	list-style-type: inherit;
	margin-left: 35px;
}

.app-version {
	float: left;
	margin-top: 33px;
	display: inline-block;
	font-size: 9px;
	color: #fff;
}

.container.main {
	width: 100%;
	height: 100%;
	max-height: 100%;
	max-width: 100%;
	margin-left: 0;
	margin-right: 0;
}

.container.dash {
	width: 100%;
	height: 100%;
	max-height: 100%;
	max-width: 100%;
	padding-left: 0px;
	padding-right: 0px;
	overflow: hidden;
}

.main .container {
	width: 100% !important;
	padding-left: 0; /* 10px; */
	padding-right: 0; /* 10px; */
}

.dash-top {
	text-align: right;
	width: 100% !important;
	height: 60px;
}

.logo {
	float: left;
	height: 50px;
	margin-top: 5px;
}

@media (max-width: 480px) {
	.logo {
		height: 40px;
		margin-top: 10px;
	}
}
.offline-mode-indicator {
	float: right;
	height: 30px;
	margin-top: 15px;
}

.dash-top .logo {
	margin-top: 12px;
	height: 45px;
}

.dash-top button {
	margin-top: 10px;
}

.home-top {
	text-align: right;
	width: 100% !important;
	height: 60px;
}

.home-top2 {
	text-align: left;
	padding-top: 20px;
	height: 60px;
}

.home-top button {
	margin-top: 10px;
}

.home-bottom, .dash-bottom {
	text-align: center;
	height: 60px;
}

.dash-bottom {
	border-top: 1px solid;
}

.dash-bottom a {
	text-shadow: -1px 1px 2px #ccc;
}

.usable-height {
	height: calc(100vh - 120px);
	overflow-y: scroll;
}

.dash-height {
	height: calc(100vh - 120px);
	overflow-y: scroll;
	overflow-x: hidden;
	padding-top: 20px;
	padding-bottom: 20px;
}

.container.dash-height {
	padding-right: 10px;
}

.dash-tab-col {
	height: 60px;
}

.dash-tab {
	line-height: 1em;
	padding: 9px 0;
}

.dash-tab.active {
	background-color: #fff; /* #9bd1ff; */
}

.dash-tab .fa {
	font-size: 24px;
} 

.dash-tab .small {
	font-size: 12px;
	font-weight: 600;
}

.home-tab-color:hover {
	color: #007bff;
}
.messages-tab-color, .messages-tab-color:focus {
	color: #333;
}
.prescriptions-tab-color, .prescriptions-tab-color:hover {
	color: #009e58; /* #0aa985; */
}
.reminders-tab-color, .reminders-tab-color:hover {
	color: #d00000; /* #d26b00 */
}

.goback {
	height: 48px;
	font-size: 24px;
	color: #fff;
	font-weight: 900;
}

.parent {
  position: relative;
}

.child {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding-bottom: 30px;
}

.registration h2 {
	padding-top: 40px;
}

.registration .form-group {
	padding-top: 50px;
}

.registration .form-control {
	padding: 0;
	color: #fff !important;
	background-color: transparent !important;
	border: none;
	border-bottom: 1px solid #ffffff78;
	border-radius: 0;
	font-weight: 600;
	letter-spacing: 1px;
	font-size: 1.2rem;
	line-height: normal;
}

.registration ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #ffff00;
  opacity: .5; /* Firefox */
  font-weight: normal;
  letter-spacing: normal;
}

.registration :-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #ffff00;
  opacity: .5;
  font-weight: normal;
  letter-spacing: normal;
}

.registration ::-ms-input-placeholder { /* Microsoft Edge */
  color: #ffff00;
  opacity: .5;
  font-weight: normal;
  letter-spacing: normal;
}

.registration label {
	opacity: .8;
}

.invalid-account-data-selected {
	color: #ffabab;
	font-weight: 400;
	font-style: normal;
}

/* home slideshow */
#slider-container {
	height: 100%;
}

.slider-wrapper {
  overflow: hidden;
  position: relative;
  z-index: 1;
  height: 100%;
}

#slider-items {
  width: 10000px; /* calc(100vw - 30px); */
  height: calc(100vh - 120px);
  position: relative;
  top: 0;
  left: calc(30px - 100vw); /* 300px; */
}

#slider-items.shifting {
  transition: left .2s ease-out;
}

.slide1 {
  width: calc(100vw - 30px);
  height: 100%;
  cursor: pointer;
  float: left;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: all 1s;
  position: relative;
}

.slide1 .text {
	width: 100%;
	position: absolute;
	bottom: 20px;
	text-align: center;
	font-size: 16px;
	line-height: 1.2;
	color: #c0e2ff;
}

.slide1 .text a {
	color: #c0e2ff;
}

.slider-control {
  position: absolute;
  top: 50%;
  border-radius: 20px;
  margin-top: -20px;
  z-index: 2;
}

.prev, .next {
  background-size: 22px;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
}

.prev:active,
.next:active {
  transform: scale(0.8);
}

.slide1 img {
	max-width: calc(100vw - 30px);
	width: auto;
	max-height: calc(100% - 50px);
	height: auto;
	margin: 0 auto;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: calc(50% - 6vh);
  width: auto;
  margin-top: -22px;
  /* padding: 16px; */
  color: #6fc2ff !important;
  font-weight: bold;
  font-size: 6vh;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.prev {
  left: 0px;
}

/* Position the "next button" to the right */
.next {
  right: 0px;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  /* background-color: rgba(0,0,0,0.8); */
    color: #004afd;
}

.slide1 .text strong {
	font-size: 20px;
	font-weight: 800;
	color: #fff;
}

@media screen and (orientation:landscape) {
	.slide1 img {
		height: calc(100% - 60px); /* 100%; calc(100vh - 120px); */
		width: auto !important;
		margin: 0 auto auto;
	}
	.slide1 .text {
		width: 100%;
		background-color: #1184e291;
	}
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

.text-muted {
    color: #7dc1ff !important;
    font-style: italic;
}

@-webkit-keyframes fade {
  from {opacity: 0.4} 
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: 0.4} 
  to {opacity: 1}
}

.centered {
	text-align: center;
}

#menu {
/*	background-color: #0684e2; */
	padding: 30px;
}

#menu li {
	text-align: center;
	padding: 10px 0;
	color: #fff;
	font-size: 20px;
	font-weight: 500;
}

#menu a:first-child li {
	padding-top: 0px;
}
#menu a:last-child li {
	padding-bottom: 0px;
}
#profile-menu-top a {
	color: #fff;
}

/********************************************************************/
/********************************************************************/
/******  DASHBOARD STYLES *********/

.select-css {
	/* https://www.filamentgroup.com/lab/select-css.html */

	display: block;
	font-size: 16px;
	font-family: sans-serif;
/*	font-weight: 700; */
/*	color: #444; */
	line-height: 1.3;
	padding: .6em 1.4em .5em .8em;
	width: 100%;
	max-width: 100%;
	box-sizing: border-box;
	margin: 0;
	border: 1px solid #ced4da; /* 1px solid #aaa; */
	box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
	border-radius: .5em;
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	background-color: #fff;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
	  linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
	background-repeat: no-repeat, repeat;
	background-position: right .7em top 50%, 0 0;
	background-size: .65em auto, 100%;
}
.select-css::-ms-expand {
	display: none;
}
.select-css:hover {
	border-color: #888;
}
.select-css:focus {
	border-color: #aaa;
	box-shadow: 0 0 1px 3px rgba(59, 153, 252, .7);
	box-shadow: 0 0 0 3px -moz-mac-focusring;
	color: #222;
	outline: none;
}
.select-css option {
	font-weight:normal;
}
.select-css:disabled, .select-css[aria-disabled=true] {
	color: graytext;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22graytext%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
	  linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
}
.select-css:disabled:hover, .select-css[aria-disabled=true] {
	border-color: #aaa;
}


/********************************************************************/
/********************************************************************/
/******************* NAVIGATION */
nav {
  height: 60px;
}

#user-profile, #superusers-menu, #app-menu, #app-logo {
	float: right;
	margin-right: 15px;
	margin-top: 18px;
}

#user-profile, #superusers-menu, #app-menu {
	opacity: 0.7;
}

#user-profile div, #superusers-menu div {
	width: 25px;
	height: 25px;
	background-color: #fff;
	border-radius: 50%;
	text-align: center;
	font-size: 14px;
	line-height: 14px;
	padding-top: 5px;
}

#app-menu {
	margin-right: 0px;
	margin-top: 16px;
}

#app-menu div {
	width: 30px;
	height: 30px;
}

#app-logo {
	margin-top: 0px;
	float: left;
}

.profile-menu {
	width: 100%;
	position: absolute;
	top: 60px;
	z-index: 10;
	background-color: #bfdeff;
	display: table;
}

#superuser-menu-top {
	z-index: 20;
	background-color: #ffbfbf;
}

#superuser-menu-top a {
	color: #af0000;
}

#app-menu-top {
	z-index: 30;
/*	background-color: #fff; */
}

/*
	.profile-menu, .profile-menu > div:first-child {
	border-bottom: 1px solid #007bff;
}
*/
.profile-menu > div {
	border-bottom: 1px solid #fff;
}

.profile-menu > div:last-child {
	border-top: 1px solid #ccc;
}

.profile-menu div div {
	display: table-cell;
//	width: 50%;
	text-align: center;
	padding: 20px 15px;
}

.profile-menu div div:first-child {
	border-right: 1px solid #fff; /* #007bff; */
}

.profile-menu div div:last-child {
	border-left: 1px solid #ccc;
}

.profile-menu div .fa {
	font-size: 30px;
}

#superuser-menu-top {
	border-color: #af0000 !important;
}

.profile-menu-state {
	display: none;
}

.main-title {
	text-align: center;
	margin-bottom: 4px;
	width: 100%;
	border-bottom: 2px solid #0aa985; /* #007bff */
	font-variant: all-small-caps;
	font-size: 1.9rem;
}

.title-color {
	color: #0aa985; /* #007bff */
}

.sub-color, .mini-color {
	color: #86c0ff;
}

.sub-title {
	margin-bottom: 20px;
	line-height: 1.3;
	font-size: 90%;
}

.sub-separator {
    margin-bottom: 10px;
    margin-top: -5px;
    line-height: 1.3;
    color: #26c56a;
}

.mini-title {
	font-size: 70%;
	line-height: 1.1;
	margin-bottom: 20px;
}

#dashContainer .form-control {
	background-color: #f1f9ff !important;
	border-color: #eee;
}

#dashContainer .form-control:focus {
	box-shadow: none !important;
}

.required-fields {
	color: red;
	margin-left: 5px;
}

.missing-fields {
	display: none;
}

.required-input {
	border-color: #ffb3b3 !important;
}

#dashContainer ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #bbcad8 !important;
  opacity: 1; /* Firefox */
}

#dashContainer :-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #bbcad8 !important;
}

#dashContainer ::-ms-input-placeholder { /* Microsoft Edge */
  color: #bbcad8 !important;
}






/********************************************************************/
/********************************************************************/
/******************* DASHBOARD INSIDE TOP MENU */

.dashnav.prescriptions {
  background: #c4f5d9;
  border: 1px solid #0aa985;
  border-bottom-right-radius: 0.4em;
  border-bottom-left-radius: 0.4em;
}

.dashnav.reminders {
  background: #ffeeda;
  border: 1px solid #d00000;
}

.dashnav ul {
  margin: 0;
  padding: 0;
  width: 100%;
}

.dashnav ul li {
  list-style: none;
  text-align: center;
  border-left: 1px solid #fff;
  width: 20%;
}

.dashnav.prescriptions ul li {
  border-right: 1px solid #0aa985;
}

.dashnav.prescriptions ul li:first-child {
  border-bottom-left-radius: 0.4em;
}

.dashnav.prescriptions ul li:last-child {
  border-right: none;
  border-bottom-right-radius: 0.4em;
}

.dashnav.reminders ul li {
	border-right: 1px solid #d00000;
}

.dashnav ul li:first-child {
  border-left: none;
}

.dashnav ul li a {
  display: block;
  text-decoration: none;
  padding: 10px 0;
  font-size: 24px;
  line-height: 1;
}

.dashnav.prescriptions ul li a {
  color: #0aa985;
}

.dashnav.reminders ul li a {
  color: #d00000;
}

.dashnav {
  display: table;
  table-layout: fixed;
  border-right: none;
  width: 100%;
  margin-bottom: 20px;
}

.dashnav ul {
  display: flex;
  flex-direction: row;
}

.dashnav ul li {
	flex-grow: 1;
}

.dashnav ul li a span {
	font-size: 12px;
	line-height: 1;
	font-weight: 700;
}


.subsection-topbar {
	font-size: 20px;
	font-weight: 800;
	text-align: center;
	padding: 5px;
	text-shadow: -1px 2px 2px #666;
	border-top-right-radius: 0.4em;
    border-top-left-radius: 0.4em;
}

.subsection-topbar.prescriptions {
	background-color: #0aa985;
	color: #adffb5;
}

.subsection-topbar.reminders {
	background-color: #d00000;
	color: #ffeeda;

	border-bottom-right-radius: 0.4em;
    border-bottom-left-radius: 0.4em;
}

.list-top {
	padding: 5px;
	background-color: #0aa985;
	color: #fff;
	margin-bottom: 10px;
	border-radius: 8px;
	padding-left: 10px;
}

#dareminders .list-top {
	background-color: #d00000;
}

#drawer {
	padding-bottom: 30px;
}

.drawer {
	display: none;
}

.drawer-title {
	margin-bottom: 10px;
	font-weight: 700;
	color: #0aa985;
}

#dareminders .drawer-title {
	color: #d00000;
}

.drawer-divider {
	margin-top: 20px;
}

.drawer-divider hr {
	margin: auto;
	padding: 0;
	width: 70%;
	border: 1px solid #0aa985;
}

#dareminders .drawer-divider hr {
	border-color: #d00000;
}

.cancel-reminder {
	color: #d00000;
	font-size: 130%;
	line-height: 25px;
	float: right;
	margin-top: 5px;
}

.add-new-record {
	font-size: 24px;
	line-height: 24px;
	padding-right: 4px;
}


/********************************************************************/
/********************************************************************/
/******************* SCROLLBARS STYLES */
/* https://css-tricks.com/the-current-state-of-styling-scrollbars/ */

.dash-height::-webkit-scrollbar-track {
	/* -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
	background-color: #F5F5F5; */
}

.dash-height::-webkit-scrollbar {
	width: 5px;
}

.dash-height::-webkit-scrollbar-thumb {
	background-color: #d1f2ff; /* default scrollbars color */
	background-image: -webkit-gradient(linear, 0 0, 0 100%,
	                   color-stop(.5, rgba(255, 255, 255, .2)),
					   color-stop(.5, transparent), to(transparent));
}



/********************************************************************/
/********************************************************************/
/******************* ROLLDATE */
.rolldate-content .rolldate-wrapper ul{
	margin:0;
	padding:0
}
.rolldate-content .rolldate-wrapper li{
	list-style-type:none
}

.rolldate-container .rolldate-mask {
	bottom: 0;
	height: 100vh !important;
}

.rolldate-container .rolldate-panel {
	position: absolute !important;
	bottom: 0px !important;
}

.rolldate-container .rolldate-btn {
	font-size: 14px !important;
}

.rolldate-btn.rolldate-cancel {
	color: #999 !important;
}

/********************************************************************/
/********************************************************************/
/******************* SYSTEM MESSAGES */
.system-messages {
//	margin-bottom: 50px;
}

.system-error-bubble, .system-notification-bubble, .system-alert-bubble, .system-talk-bubble {
	margin-top: 5px;
	margin-bottom: 20px;
	padding: 15px;
	border: 1px solid #eee;
//	font-size: 120%;
	line-height: 1.3;
	color: #fff;
	text-shadow: -1px 1px 2px #333;
	border-radius: 10px;
	box-shadow: -1px 2px 5px #ccc;
}

.system-error-bubble {
	background-color: red;
}

.system-notification-bubble {
	background-color: #ffa500; /* orange */
	color: #000;
	text-shadow: -1px 1px 2px #ccc;
}

.system-alert-bubble {
	background-color: green;
}

.system-talk-bubble {
	background-color: #1184e2;
}

.btn-blue {
	color: #fff;
	background-color: #0684e2;
	border-color: #0271c3;
}

.btn-green {
	background-color: #0fc300;
	color: #fff;
}

.btn-orange {
	background-color: #d00000;
	color: #fff;
}

.btn-secondary {
	background-color: #0056c1;
	color: #fff;
}

.btn {
	font-weight: 800;
	text-transform: uppercase;
}

.dash-height .form-submit {
	margin-top: 20px;
	padding-left: 0;
	padding-right: 0;
	cursor: pointer;
}

.prescription-display, .prescription-display-hold, .transfer-display, .family-display, .reminder-display, .home-display {
	margin-bottom: 15px;
	padding: 15px;
	border: 1px solid #aaffec;
	border-radius: 10px;
	box-shadow: -1px 2px 5px #ccc;
}

.prescription-display, .family-display {
	background-color: #e4ffef;
}

.prescription-display-hold {
	background-color: #00ab00;	
}

.transfer-display {
	background-color: #f5f1c4;
}

.family-display strong {
	font-weight: 700;
}

.family-display span {
	font-size: 80%;
	color: #999;
}

.family-display .fa-mars, .prescription-display .fa-mars, .reminder-display .fa-mars, .home-display .fa-mars {
	color: blue;
}

.family-display .fa-venus, .prescription-display .fa-venus, .reminder-display .fa-venus, .home-display .fa-venus {
	color: red;
}

.prescription-display span, .prescription-display-hold span {
	font-size: 80%;
	color: #999;
}

.reminder-display {
	background-color: #ffeeda;
	border-color: #deaaaa;
}

.reminder-display span {
	font-size: 80%;
	color: #999;
}

.home-display {
	border-color: #9ddcab;
	background-color: #fff;
}

.home-display .mini-title {
	color: #ccc;
}

.home-display hr, .reminder-display hr, .prescription-display hr {
	margin-top: 5px;
	margin-bottom: 5px;
}

.refill-cart {
	color: #0aa985;
	font-size: 130%;
	float: right;
	font-weight: 600;
	padding-top: 6px;
	margin-left: 5px;
}

#contact-buttons div {
	width: auto;
	float: left;
	padding-bottom: 10px;
}

.contact-us-icon {
	font-size: 80px;
	width: 120px;
	height: 120px;
	padding-top: 20px;
	border: 1px solid #ccc;
	display: block;
	margin: 20px 20px 5px;
	background-color: #0684e2;
	color: #fff;
	border-radius: 30px;
	box-shadow: -1px 2px 5px #ccc;
}


pure-dialog .pure-dialog-body {
	padding-top: 20px !important;
}

.reminder-display .gender-icon {
	margin-right: 11px;
}


#message-list {
	width: 100%;
	height: auto;
	display: flex;
	flex-direction: column;
}

#message-input {
	height: 80px;
	padding-left: 15px;
	padding-right: 15px;
	display: grid;
	background-color: #999;
	padding-top: 10px;
}

@media (min-width: 781px) {
	#message-input {
		position: absolute;
		bottom: 0;
	}
}

#messages.container.dash-height {
	height: calc(100vh - 200px);	
}

.chat-input {
	float: left;
	width: calc(100% - 50px);
}

.chat-input textarea {
	height: 60px;
}

.chat-submit {
	float: right;
	width: 40px;
}

.chat-submit-button {
	width: 100%;
	height: 100%;
	background-color: green;
	color: #fff;
	font-size: 30px;
	border-radius: 5px;
	line-height: 60px;
}

#message-list p {
  max-width: 80%; /* calc(100% - 10px); */
  word-wrap: break-word;
  margin-bottom: 20px;
  line-height: 20px;
  position:relative;
	padding:10px 20px;
  border-radius:25px;
}

#message-list p:before, #message-list p:after {
    content:"";
		position:absolute;
    bottom:-2px;
    height:20px;
}

.from-me {
	color: #000973; 
	background: #84cbff; /* #0B93F6; */
	align-self: flex-end;
}

.from-me:before {
		right:-7px;
		border-right:20px solid #84cbff; /* #0B93F6; */
		border-bottom-left-radius: 16px 14px;
		-webkit-transform:translate(0, -2px);
		        transform:translate(0, -2px);
}

.from-me:after {
		right:-56px;
		width:26px;
		background:white;
		border-bottom-left-radius: 10px;
		-webkit-transform:translate(-30px, -2px);
		        transform:translate(-30px, -2px);
}

.from-them {
	background:#E5E5EA;
	color: #333;
}

.from-them:before {
		left:-7px;
		border-left:20px solid #E5E5EA;
		border-bottom-right-radius: 16px 14px;
		-webkit-transform:translate(0, -2px);
		        transform:translate(0, -2px);
}

.from-them:after {
		left:4px;
		width:26px;
		background:white;
		border-bottom-right-radius: 10px;
		-webkit-transform:translate(-30px, -2px);
		        transform:translate(-30px, -2px);
}

.form-input-title {
	font-size: x-small;
}

#myreminders .form-input-title {
	color: #d2b5b5;
	font-weight: 500;
}

#dashContainer #dareminders .form-control {
	background-color: #fff1f1 !important;
}

#dashContainer #daprescriptions .form-control {
	background-color: #f5fff9 !important;
}

#dareminders .title-color {
	color: #ff5252;
}

#dainsurance .title-color, #daprofile .title-color, #dapreferences .title-color {
	color: #0684e2;
}

.form-control {
	padding: .375rem .375rem;
}

.form-group {
	margin-bottom: 0.6rem;
}

#daprescriptions dl dt {
	display: table-cell;
	width: 12px;
}

#daprescriptions dl dd {
	display: table-cell;
}

#daprescriptions dl {
	margin-bottom: 0;
}



/************ CAMERA CAPTURE */
#camera_capture {
	position: fixed;
	top: 60px;
	bottom: 60px;
	left: 0;
	right: 0;
}

.hide-camera {
	display: none;
}

#camera_capture #camera_close {
	position: absolute;
	top: 0px;
	right: 0px;
	width: auto;
	padding-right: 6px;
	background-color: #0aa985; /* #1184e2; */
	z-index: 3;
	font-size: 24px;
	color: #fff;
}

#camera_capture #vid_container {
    position: fixed;
    top: 60px; left: 0;
}      

#camera_capture #video{
    width: 100%; 
    height: calc(100vh - 219px);
    object-fit: cover; 
    z-index: 0; 
} 

#camera_capture #gui_controls {
    position: fixed;
    background-color: #0aa985; /* #1184e2; rgba(255, 0, 0, 0.5);*/
    z-index: 2;
    bottom: 60px;
}      

#camera_capture #video_overlay {
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 60px; 
    left: 0;
    right: 0;
    bottom: 60px;

    z-index: 10;
    background-color:#111;
}

/*  Button style from: 
    https://googlesamples.github.io/web-fundamentals/fundamentals/media/mobile-web-video-playback.html */

#camera_capture button {
    outline: none;
    position: absolute;
    color: white;
    display: block;
    opacity: 1;
    background: transparent;
    border: solid 2px #fff;
    padding: 0;
    text-shadow: 0px 0px 4px black;
    background-position: center center;
    background-repeat: no-repeat;
    pointer-events: auto;
    z-index: 2;
}

#camera_capture #takePhotoButton {
    left: calc(50% - 40px);
    top: calc(50% - 40px);
    width: 80px;
    height: 80px;
    background-image: url('/images/camera/ic_photo_camera.png');
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
}

#camera_capture #takePhotoButton:active {
    background-color: #fff;
}

#camera_capture #toggleFullScreenButton {
    display: none;
    width: 64px;
    height: 64px;
    background-image: url('/images/camera/ic_fullscreen.png');
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
}

#camera_capture #toggleFullScreenButton[aria-pressed="true"] {
    background-image: url('/images/camera/ic_fullscreen_exit.png');
}

#camera_capture #switchCameraButton {
    display: none;
    width: 64px;
    height: 64px;
    background-image: url('/images/camera/ic_camera_flip.png');
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
}

#camera_capture #switchCameraButton[aria-pressed="true"] {
    background-image: url('/images/camera/ic_camera_flip.png');
}

@media screen and (orientation:portrait) {
    /* portrait-specific styles */

    /* video_container (video) doesn't respect height... 
       so we will fill it in completely in portrait mode
    */
    #camera_capture #vid_container {
        width:100%;
        /*max-height:80%;*/
    }  

    #camera_capture #gui_controls {
        width: 100%;
        height: 100px;
        left:0;
    }

    #camera_capture #switchCameraButton { 
        left: calc(20% - 32px);
        top: calc(50% - 32px);
    }

    #camera_capture #toggleFullScreenButton { 
        left: calc(80% - 32px);
        top: calc(50% - 32px);
    }
}

@media screen and (orientation:landscape) {

    #camera_capture #vid_container {
        width:80%;
        height:calc(100% - 120px);
    }  

	#camera_capture #video {
		height: 100%;	
	}
	
    #camera_capture #vid_container.left {
        left:20%;
    }

    /* we default to right */
    #camera_capture #gui_controls {
        width: 20%; 
        height:calc(100% - 120px);
        right:0;
    }  

    /* for the lefties */
    #camera_capture #gui_controls.left {
        left:0;
    }

    #camera_capture #switchCameraButton { 
        left: calc(50% - 32px);
        top: calc(18% - 32px);
    }

    #camera_capture #toggleFullScreenButton {
        left: calc(50% - 32px);
        top: calc(82% - 32px);
    }

} 


/************ ANIMATED LABELS FOR FORM INPUTS
https://codepen.io/tonystar/pen/JRLaKw
*/

.form-group1 {
	position: relative;
	height: 3em;
	margin-bottom: 0.6em;
}

.form-area1 {
	position: relative;
	height: 4.5em;
	margin-bottom: 0.6em;
}

.form-group1 .form-control, .form-area1 .form-control {
	padding: .375rem .375rem;
}

.form-group1 input, .form-group1 label, .form-area1 textarea, .form-area1 label {
	position: absolute;
	transition: all 0.15s ease;
}

.form-group1 label, .form-area1 label {
	padding: .375rem .375rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #bbcad8;
}

.form-group1 input.filled ~ label, .form-group1 input:focus ~ label, .form-area1 textarea.filled ~ label, .form-area1 textarea:focus ~ label, .awesompletelabel {
  font-size: 7px;
  font-weight: 600;
  position: absolute;
  padding-top: 0.05rem;
  padding-left: 0.2rem;
  right: 0;
}

.awesompletelabel {
  font-size: 7px !important;
  position: absolute !important;
  padding-top: 0.05rem !important;
  padding-left: 0.2rem !important;
  color: #00b308bd !important;
}

.form-group1 input.filled ~ label, .form-area1 textarea.filled ~ label {
  color: #0684e2ab;
}

.form-group1 .missing-fields, form-area1 .missing-fields, .form-group .missing-fields {
	display: block;
	animation: blink .5s step-end infinite alternate;
}

@keyframes blink {
	50% {
		border-color: #ff0000; /* #ff9d9d; */
	}
}


#daprofile .required-input, #dainsurance .required-input {
	border-color: #b3bcff !important;
}

#daprescriptions .required-input {
	border-color: #62ce8d !important;
}

#daprescriptions input.filled ~ label {
	color: #00b308bd;
}

#dareminders input.filled ~ label {
	color: #e206067d;
}

.btn.focus, .btn:focus {
	box-shadow: none;
}


/************ AWESOMEPLETE Autocomplete */
.awesomplete [hidden] {
    display: none;
}

.awesomplete .visually-hidden {
    position: absolute;
    clip: rect(0, 0, 0, 0);
}

.awesomplete {
/*    display: inline-block; */
    position: relative;
    width: 100%;
}

.awesomplete > input {
    display: block;
}

.awesomplete > ul {
    position: absolute;
    left: 0;
    z-index: 1;
/*    min-width: 100%; */
    width: 100%;
    box-sizing: border-box;
    list-style: none;
    padding: 0;
    margin: 0;
    background: #f5fff9; /* #fff*/
}

.awesomplete > ul:empty {
    display: none;
}

.awesomplete > ul {
	border-radius: .3em;
	margin: 50px 0 0; /* .2em 0 0; */
	background: hsla(0,0%,100%,.9);
	background: linear-gradient(to bottom right, white, hsla(0,0%,100%,.8));
	border: 1px solid rgba(0,0,0,.3);
	box-shadow: .05em .2em .6em rgba(0,0,0,.2);
	text-shadow: none;
}

@supports (transform: scale(0)) {
	.awesomplete > ul {
		transition: .3s cubic-bezier(.4,.2,.5,1.4);
		transform-origin: 1.43em -.43em;
	}
	
	.awesomplete > ul[hidden],
	.awesomplete > ul:empty {
		opacity: 0;
		transform: scale(0);
		display: block;
		transition-timing-function: ease;
	}
}

/* Pointer */
.awesomplete > ul:before {
	content: "";
	position: absolute;
	top: -.43em;
	left: 1em;
	width: 0; height: 0;
	padding: .4em;
	background: white;
	border: inherit;
	border-right: 0;
	border-bottom: 0;
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}

.awesomplete > ul > li {
	position: relative;
	padding: .2em .5em;
	cursor: pointer;
}

.awesomplete > ul > li:hover {
	background: hsl(200, 40%, 80%);
	color: black;
}

.awesomplete > ul > li[aria-selected="true"] {
	background: hsl(166, 89%, 35%); /* hsl(205, 40%, 40%); */
	color: white;
}
	
.awesomplete mark {
	background: hsl(65, 100%, 50%);
}

.awesomplete li:hover mark {
	background: hsl(68, 100%, 41%);
}

.awesomplete li[aria-selected="true"] mark {
	background: hsl(86, 100%, 21%);
	color: inherit;
}



/************ SNACKBAR */
#snackbar {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 10000;
  left: 50%;
  bottom: 30px;
}

#snackbar.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s;
  animation: fadein 0.5s;
}

@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}




/* POPPYPOP */
.poppy-popup {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100vw;
  height: 100vh;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
      justify-content: center;
  -ms-flex-align: center;
      align-items: center;
  font-size: 16px;
  opacity: 0;
  transition: opacity .3s; }
  .poppy-popup.show {
    opacity: 1; }
  .poppy-popup > .poppy-popup-background {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1010;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%; }
  .poppy-popup > .poppy-popup-container {
    max-width: 90%;
    max-height: 90%;
    width: 100%;
    position: relative;
    z-index: 1020;
    border-radius: 3px;
    box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.3); }
    .poppy-popup > .poppy-popup-container > .poppy-popup-header {
      background-color: #FFFFFF;
      color: #222222;
      height: 50px;
      width: 100%;
      position: relative;
      border-top-left-radius: 3px;
      border-top-right-radius: 3px; }
      .poppy-popup > .poppy-popup-container > .poppy-popup-header > .poppy-popup-title-text {
        width: 100%;
        max-height: 50px;
        font-size: 1.5em;
        text-align: center;
        line-height: 50px;
        text-overflow: ellipsis;
        font-weight: bold;
        overflow: hidden;
        white-space: nowrap; }
    .poppy-popup > .poppy-popup-container > .poppy-popup-content {
      background-color: #FFFFFF;
      width: 100%;
      padding: 10px 20px;
      border-left: 1px solid #DDDDDD;
      border-right: 1px solid #DDDDDD;
      overflow: auto; }
      .poppy-popup > .poppy-popup-container > .poppy-popup-content > input[type="text"] {
        background-color: transparent;
        border-width: 0;
        border-bottom: 2px solid #CCCCCC;
        outline: none;
        font-size: 1.3em;
        width: 100%;
        margin-top: 20px;
        padding: 5px;
        box-shadow: none;
        transition: border-bottom .2s; }
        .poppy-popup > .poppy-popup-container > .poppy-popup-content > input[type="text"]:focus {
          border-bottom: 2px solid #2088AD; }
    .poppy-popup > .poppy-popup-container > .poppy-popup-buttons {
      width: 100%;
      height: 50px;
      padding: 0 10px;
      background-color: #FFFFFF;
      border-bottom-left-radius: 3px;
      border-bottom-right-radius: 3px;
      overflow: hidden; }
      .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept, .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel {
        width: 120px;
        display: block;
        float: right;
        color: #2088AD; }
        .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept > a, .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel > a {
          display: block;
          color: inherit;
          text-decoration: none;
          text-align: center;
          padding: 10px 0;
          border-radius: 3px;
          transition: background-color .2s, box-shadow .1s; }
          .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept > a:active, .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel > a:active {
            box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3); }
          .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept > a > i, .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel > a > i {
            vertical-align: middle;
            margin-top: -3px; }
      .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept {
        right: 0;
        color: #2088AD; }
        .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-accept > a:hover {
          background-color: rgba(0, 0, 0, 0.1); }
      .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel {
        left: 0;
        color: #2088AD; }
        .poppy-popup > .poppy-popup-container > .poppy-popup-buttons > .poppy-popup-cancel > a:hover {
          background-color: rgba(0, 0, 0, 0.1); }



/************ WEEKDAYS SELECTORS */
#weekdays {
	border: 1px solid #fff !important;
	border-radius: .5em;
}

.weekDays-selector input {
  display: none!important;
}

.weekDays-selector input[type=checkbox] + label {
  display: inline-block;
  border-radius: 6px;
  background-color: #ffdddd; /* #dddddd; */
  height: 40px;
  width: 12%;
  margin-right: 3px;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
  margin-bottom: 0;
}

.weekDays-selector input[type=checkbox]:checked + label {
  background-color: #d00a00;
  color: #ffffff;
}



/* media queries */
@media screen and (min-width: 420px) and (max-height: 320px) {
	.mySlides img {
		transform: translate(-50%, -65%);
	}
	.registration {
		font-size: .8rem;
	}
	.registration h2 {
		font-size: 1.6rem;
	}
	.registration h2, .registration .form-group {
		padding-top: 0px;
	}
	.email-input, .phone-input {
		width: 48%;
	}
		
	.phone-input {
		float: right;
	}

	.email-input {
		float: left;
	}
	
	.email-phone-group {
		width: 100%;
		display: table;
		clear: both;
	}
}

@media screen and (min-width: 420px) and (max-height: 414px) {
	.mySlides img {
		transform: translate(-50%, -65%);
	}
	.registration {
		font-size: .75rem;
	}
	.registration h2 {
		font-size: 1.7rem;
	}
	.registration h2, .registration .form-group {
		padding-top: 2px;
	}
}

@media screen and (min-width: 767px) {
	.registration h2 {
		padding-top: 10px;
	}
	.registration .form-group {
		padding-top: 20px;
	}

	.email-input, .phone-input {
		width: 48%;
	}
		
	.phone-input {
		float: left;
	}

	.email-input {
		float: right;
	}
	
	.email-phone-group {
		width: 100%;
		display: table;
		clear: both;
	}
}

@media screen and (max-width: 414px) and (max-height: 640px) {
	.text {
    	top: calc(100% - 60px);
		height: 60px;
	}
	.text strong {
		font-size: 15px;
	}
	.text {
		font-size: 14px;
		line-height: 1rem;
	}
}

@media (min-width: 768px) {
	.container {
	    max-width: initial; /* 720px; */
	    width: 100%;
	}
}

@media (min-width: 576px) {
	.container {
	    max-width: initial; /* 540px; */
	}
}

/* UI ELEMENTS ADJUSTED FOR DESKTOP VIEWING */
@media (max-width: 767px) {
	.wandering-register {
		position: absolute;
		bottom: 10px;
		margin: 0 auto;
		right: 50%;
		transform: translateX(50%);
	}
	.desktop-show {
		display: none;
	}
}
@media (min-width: 768px) {
	.dash-height {
		position: absolute;
		top: 120px;
	}
	.dash-bottom {
		position: fixed;
		top: 60px;
		border-top: none;
		border-bottom: 1px solid;
	}
	.usable-height.registration {
		height: auto;
		margin-bottom: 40px;
	}
	.home-bottom .btn-block {
		width: auto;
		margin: 0 auto;
	}
}
